org.apache.lucene.util.automaton

## Enum CompiledAutomaton.AUTOMATON_TYPE

- java.lang.Object
- - java.lang.Enum<CompiledAutomaton.AUTOMATON_TYPE>
  - - org.apache.lucene.util.automaton.CompiledAutomaton.AUTOMATON_TYPE

- All Implemented Interfaces:
    Serializable, Comparable<CompiledAutomaton.AUTOMATON_TYPE>
  Enclosing class:
    CompiledAutomaton

      public static enum CompiledAutomaton.AUTOMATON_TYPE
      extends Enum<CompiledAutomaton.AUTOMATON_TYPE>

  Automata are compiled into different internal forms for the most efficient execution depending upon the language they accept.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Automaton that accepts all possible strings.
    `NONE` Automaton that accepts no strings.
    `NORMAL` Catch-all for any other automata.
    `PREFIX` Automaton that matches all Strings with a constant prefix.
    `SINGLE` Automaton that accepts only a single fixed string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompiledAutomaton.AUTOMATON_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CompiledAutomaton.AUTOMATON_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CompiledAutomaton.AUTOMATON_TYPE NONE

      Automaton that accepts no strings.

    - #### ALL

          public static final CompiledAutomaton.AUTOMATON_TYPE ALL

      Automaton that accepts all possible strings.

    - #### SINGLE

          public static final CompiledAutomaton.AUTOMATON_TYPE SINGLE

      Automaton that accepts only a single fixed string.

    - #### PREFIX

          public static final CompiledAutomaton.AUTOMATON_TYPE PREFIX

      Automaton that matches all Strings with a constant prefix.

    - #### NORMAL

          public static final CompiledAutomaton.AUTOMATON_TYPE NORMAL

      Catch-all for any other automata.

  - ### Method Detail

    - #### values

          public static CompiledAutomaton.AUTOMATON_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompiledAutomaton.AUTOMATON_TYPE c : CompiledAutomaton.AUTOMATON_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompiledAutomaton.AUTOMATON_TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.